reagent.core package
====================

Submodules
----------

reagent.core.aggregators module
-------------------------------

.. automodule:: reagent.core.aggregators
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.base\_dataclass module
-----------------------------------

.. automodule:: reagent.core.base_dataclass
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.configuration module
---------------------------------

.. automodule:: reagent.core.configuration
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.dataclasses module
-------------------------------

.. automodule:: reagent.core.dataclasses
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.debug\_on\_error module
------------------------------------

.. automodule:: reagent.core.debug_on_error
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.fb\_checker module
-------------------------------

.. automodule:: reagent.core.fb_checker
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.multiprocess\_utils module
---------------------------------------

.. automodule:: reagent.core.multiprocess_utils
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.observers module
-----------------------------

.. automodule:: reagent.core.observers
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.oss\_tensorboard\_logger module
--------------------------------------------

.. automodule:: reagent.core.oss_tensorboard_logger
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.parameters module
------------------------------

.. automodule:: reagent.core.parameters
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.parameters\_seq2slate module
-----------------------------------------

.. automodule:: reagent.core.parameters_seq2slate
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.registry\_meta module
----------------------------------

.. automodule:: reagent.core.registry_meta
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.report\_utils module
---------------------------------

.. automodule:: reagent.core.report_utils
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.result\_registries module
--------------------------------------

.. automodule:: reagent.core.result_registries
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.result\_types module
---------------------------------

.. automodule:: reagent.core.result_types
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.running\_stats module
----------------------------------

.. automodule:: reagent.core.running_stats
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.tagged\_union module
---------------------------------

.. automodule:: reagent.core.tagged_union
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.tensorboardX module
--------------------------------

.. automodule:: reagent.core.tensorboardX
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.torch\_utils module
--------------------------------

.. automodule:: reagent.core.torch_utils
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.tracker module
---------------------------

.. automodule:: reagent.core.tracker
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.types module
-------------------------

.. automodule:: reagent.core.types
   :members:
   :undoc-members:
   :show-inheritance:

reagent.core.utils module
-------------------------

.. automodule:: reagent.core.utils
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: reagent.core
   :members:
   :undoc-members:
   :show-inheritance:
